Error message when viewing album

Hi Patrik,

I just checked in on my album today and got the following error message...

upgrading from:to 0.4.1.14
applying changes for 0.4.1.9 version
applying changes for 0.4.1.10 version
applying changes for 0.4.1.11 version
applying changes for 0.4.1.12 version
applying changes for 0.4.1.13 version
applying changes for 0.4.1.14 version

Fatal error: main(): Failed opening required 'lang/' (include_path='.:/usr/local/share/pear') in /hsphere/local/home/tinyti0/corvette-restoration.com/phpAlbum/language.php on line 7

I haven't been into my album at all since you fixed it for me a few weeks ago so I'm not sure what happened. Any ideas?

Thanks again. Have a good weekend,
Tim

Hi, that is not looking good

Hi, that is not looking good ... looks like some files are corrupt or not on the place or wrong versions....

You can send me your FTP account i would then check it if you want..

Same problem here... This

Same problem here... This happened after the filesystem of my server ran out of disk space, so I'm afraid some files are corrupted? Please help...

Yes you are right, something

Yes you are right, something is corrupt. PA is trying to upgrade your DB to newest version which is most probably wrong.

You could try to zip your data files (Files in data directory) and send it on E-Mail: support [at] phpalbum.net
I culd then try to look what is possible, but most likely you lost your DB.

If you don't care about settings you did on your album and all the photo descriptions just delete all files in your data directory and go to your album, it will install new database automatically.

That is why I always say, if you put your Photo descriptions in IPTC of JPG you never loose them and in this case they would be just imported automatically in PA.

Patrik

Sorry for the

Sorry for the misunderstanding: I was not upgrading. PA was just running and last night I had a DDoS attack on my website which caused a 32G error_log clogging up the filesystem. After deleting the logfile and restarting the system, all was OK except PA. In the log is the lang-error. Looks like setup.php is 0 bytes????

Hi, no misunderstandings :)

Hi,

no misunderstandings :) I just wrote that PA is trying to upgrade your DB. Because DB is corrupt PA somehow thinks it should upgrade it but it does not work.

I believe there are some files in data directory with 0 byte length and that is why it does not work. If setup.php is 0 bytes then you will have to reinstall PA.
Otherwise deleting files in your data directory should help. But you will loose your comments/descriptions and everything you changed in Setup of PA.

Patrik

Hello,I have alomost the

Hello,

I have alomost the same problem, but i think that is from apache and php configuration,

if you change in all your files this php code '<?' to '<?php' it would be Ok, al least i think.

or you can change in php.ini this value short_open_tag = On !

PS : sorry form my bad english.

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.


style="display:inline-block;width:468px;height:60px"
data-ad-client="ca-pub-8698264690166658"
data-ad-slot="4417389723">